## cdparanoiasrc

cdparanoiasrc

## Properties

gint | cache-size | Read / Write
gchar * | generic-device | Read / Write
GstCdParanoiaMode | paranoia-mode | Read / Write
gint | read-speed | Read / Write
gint | search-overlap | Read / Write

## Signals

void | transport-error | Run Last
void | uncorrected-error | Run Last

## Types and Values

struct | GstCdParanoiaSrc

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseSrc
                        ╰── GstPushSrc
                            ╰── GstAudioCdSrc
                                ╰── GstCdParanoiaSrc

## Implemented Interfaces

GstCdParanoiaSrc implements GstURIHandler.

## Description

## Synopsis

### Element Information

plugin | cdparanoia
author | Erik Walthinsen <omega@cse.ogi.edu>, Wim Taymans <wim@fluendo.com>
class | Source/File

### Element Pads

name | src
direction | source
presence | always
details | audio/x-raw, format=(string)S16LE, layout=(string)interleaved, rate=(int)44100, channels=(int)2

## Functions

## Types and Values

### struct GstCdParanoiaSrc

    struct GstCdParanoiaSrc;

The cdparanoia object structure.

## Property Details

### The `“cache-size”` property

      “cache-size”               gint

Set CD cache size to n sectors (-1 = auto)

Flags: Read / Write

Allowed values: >= G_MAXULONG

Default value: -1

### The `“generic-device”` property

      “generic-device”           gchar *

Use specified generic scsi device.

Flags: Read / Write

Default value: NULL

### The `“paranoia-mode”` property

      “paranoia-mode”            GstCdParanoiaMode

Type of checking to perform.

Flags: Read / Write

Default value: PARANOIA_MODE_FRAGMENT

### The `“read-speed”` property

      “read-speed”               gint

Read from device at specified speed (-1 and 0 = full speed).

Flags: Read / Write

Allowed values: >= G_MAXULONG

Default value: -1

### The `“search-overlap”` property

      “search-overlap”           gint

Force minimum overlap search during verification to n sectors.

Flags: Read / Write

Allowed values: [G_MAXULONG,75]

Default value: -1

## Signal Details

### The `“transport-error”` signal

    void
    user_function (GstCdParanoiaSrc *cdparanoia,
                   gint              sector,
                   gpointer          user_data)

This signal is emitted whenever an error occurs while reading. CdParanoia will attempt to recover the data.

#### Parameters

cdparanoia | The CdParanoia instance |
sector | The sector number at which the error was encountered. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

### The `“uncorrected-error”` signal

    void
    user_function (GstCdParanoiaSrc *cdparanoia,
                   gint              sector,
                   gpointer          user_data)

This signal is emitted whenever an uncorrectable error occurs while reading. The data could not be read.

#### Parameters

cdparanoia | The CdParanoia instance |
sector | The sector number at which the error was encountered. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last